meta_decl.hpp File Reference
`#include "msgpack/versioning.hpp"`
`#include <type_traits>`

Go to the source code of this file.

## Classes

struct | msgpack::detail::bool_pack<... >
struct | msgpack::detail::all_of_imp< values >
struct | msgpack::detail::any_of_imp< values >
struct | msgpack::seq< Is >
struct | msgpack::gen_seq< N, Is >
struct | msgpack::is_non_const_pointer< T >

## Namespaces

| msgpack
| msgpack::detail

## Typedefs

template<template< class > class T, class... U>
using | msgpack::all_of = detail::all_of_imp< T< U >::value... >
template<template< class > class T, class... U>
using | msgpack::any_of = detail::any_of_imp<(T< U >::value)... >